name: unicblue/image-banner
typeName: unicblue_imagebanner
group: hks
prefixFields: true
prefixType: full
fields:
  -
    identifier: image
    useExistingField: true
  -
    identifier: tab_layout
    type: Tab
    label: 'Layout'
  -
    identifier: tx_hks_container
    type: Select
    useExistingField: true
  -
    identifier: tx_hks_top_accent
    type: Select
    useExistingField: true
  -
    identifier: options_palette
    type: Palette
    fields:
      -
        identifier: full_width
        type: Checkbox
        translatable: false
        renderType: checkboxToggle
        default: 0
      -
        identifier: aspect_ratio
        type: Select
        translatable: false
        renderType: selectSingle
        default: auto
        items:
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-banner/language/labels.xlf:options_palette.aspect_ratio.items.auto
            value: auto
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-banner/language/labels.xlf:options_palette.aspect_ratio.items.16x9
            value: 16x9
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-banner/language/labels.xlf:options_palette.aspect_ratio.items.4x3
            value: 4x3
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-banner/language/labels.xlf:options_palette.aspect_ratio.items.21x9
            value: 21x9
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-banner/language/labels.xlf:options_palette.aspect_ratio.items.3x1
            value: 3x1
      -
        identifier: show_caption
        type: Select
        translatable: false
        renderType: selectSingle
        default: none
        items:
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-banner/language/labels.xlf:options_palette.show_caption.items.none
            value: none
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-banner/language/labels.xlf:options_palette.show_caption.items.always
            value: always
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-banner/language/labels.xlf:options_palette.show_caption.items.hover
            value: hover
